API

Update integration settings with the automation system

POST/api/crm/v2/integration_automations.updatev2
operationId: integrationAutomations.update

Updates settings. Sensitive fields are encrypted before saving; IP and URL fields are validated. An uploaded catalog file triggers a forced import; in case of errors 385 (branch import already in progress) and 397 (too many forced imports running), settings are saved but the file is not imported.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 1

Request body multipart/form-data

Connection fields are dynamic, see list[].fields: key template ${field}.
Pickup point field key — pickup_data_${pickup_id}_terminal; district field keys — district_data_${district_id}_terminal, district_data_${district_id}_delivery; id 0 — default settings.
Maximum string length is 250 characters.

object
One of the options
object
automation_idintegerrequired

Example: 1

automation_error_notifications_enabledboolean

Example: true

phone_clean_enabledboolean

Example: true

phone_plus_delete_enabledboolean

Example: true

phone_space_delete_enabledboolean

Example: true

qr_bar_code_enabledboolean

Example: true

callback_api_enabledboolean

Example: true

import_once_catalog_enabledboolean

Example: true

import_once_description_enabledboolean

Example: true

import_once_image_enabledboolean

Example: true

import_once_labels_enabledboolean

Example: true

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject